NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Member Functions | List of all members
NXOpen::CAE::LaminatePlySectionBuilder Class Reference

Represents a NXOpen::CAE::LaminatePlySection builder
To create a new instance of this class, use NXOpen::CAE::LaminateGlobalLayupMgr::CreatePlySectionBuilder

Created in NX1847.0.0. More...

Inheritance diagram for NXOpen::CAE::LaminatePlySectionBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double CoreOffsetScale ()
 Returns the core offset scale factor scales the distance between the core ply and the 2 adjacent ply curves
Created in NX1847.0.0. More...
 
int PlyColor ()
 Returns the ply color defines the color of the ply curves
Created in NX1847.0.0. More...
 
double PlyOffsetScale ()
 Returns the ply offset scale factor scales the distance between the ply curves, except the core
Created in NX1847.0.0. More...
 
NXString SectionName ()
 Returns the name of the ply section
Created in NX1847.0.0. More...
 
NXOpen::PlaneSectionPlane ()
 Returns the plane on which to compute the ply section
Created in NX1847.0.0. More...
 
bool SelectAllLaminates ()
 Returns the option to consider all existing laminates
Created in NX1847.0.0. More...
 
void SetCoreOffsetScale (double coreOffsetScale)
 Sets the core offset scale factor scales the distance between the core ply and the 2 adjacent ply curves
Created in NX1847.0.0. More...
 
void SetPlyColor (int plyColor)
 Sets the ply color defines the color of the ply curves
Created in NX1847.0.0. More...
 
void SetPlyOffsetScale (double offsetScale)
 Sets the ply offset scale factor scales the distance between the ply curves, except the core
Created in NX1847.0.0. More...
 
void SetSectionName (const NXString &name)
 Sets the name of the ply section
Created in NX1847.0.0. More...
 
void SetSectionName (const char *name)
 Sets the name of the ply section
Created in NX1847.0.0. More...
 
void SetSectionPlane (NXOpen::Plane *plane)
 Sets the plane on which to compute the ply section
Created in NX1847.0.0. More...
 
void SetSelectAllLaminates (bool selectAll)
 Sets the option to consider all existing laminates
Created in NX1847.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::LaminatePlySection builder
To create a new instance of this class, use NXOpen::CAE::LaminateGlobalLayupMgr::CreatePlySectionBuilder

Created in NX1847.0.0.


Member Function Documentation

double NXOpen::CAE::LaminatePlySectionBuilder::CoreOffsetScale ( )

Returns the core offset scale factor scales the distance between the core ply and the 2 adjacent ply curves
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

int NXOpen::CAE::LaminatePlySectionBuilder::PlyColor ( )

Returns the ply color defines the color of the ply curves
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

double NXOpen::CAE::LaminatePlySectionBuilder::PlyOffsetScale ( )

Returns the ply offset scale factor scales the distance between the ply curves, except the core
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

NXString NXOpen::CAE::LaminatePlySectionBuilder::SectionName ( )

Returns the name of the ply section
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

NXOpen::Plane* NXOpen::CAE::LaminatePlySectionBuilder::SectionPlane ( )

Returns the plane on which to compute the ply section
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

bool NXOpen::CAE::LaminatePlySectionBuilder::SelectAllLaminates ( )

Returns the option to consider all existing laminates
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

void NXOpen::CAE::LaminatePlySectionBuilder::SetCoreOffsetScale ( double  coreOffsetScale)

Sets the core offset scale factor scales the distance between the core ply and the 2 adjacent ply curves
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
coreOffsetScalecoreoffsetscale
void NXOpen::CAE::LaminatePlySectionBuilder::SetPlyColor ( int  plyColor)

Sets the ply color defines the color of the ply curves
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
plyColorplycolor
void NXOpen::CAE::LaminatePlySectionBuilder::SetPlyOffsetScale ( double  offsetScale)

Sets the ply offset scale factor scales the distance between the ply curves, except the core
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
offsetScaleoffsetscale
void NXOpen::CAE::LaminatePlySectionBuilder::SetSectionName ( const NXString name)

Sets the name of the ply section
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
namename
void NXOpen::CAE::LaminatePlySectionBuilder::SetSectionName ( const char *  name)

Sets the name of the ply section
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
namename
void NXOpen::CAE::LaminatePlySectionBuilder::SetSectionPlane ( NXOpen::Plane plane)

Sets the plane on which to compute the ply section
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
planeplane
void NXOpen::CAE::LaminatePlySectionBuilder::SetSelectAllLaminates ( bool  selectAll)

Sets the option to consider all existing laminates
Created in NX1847.0.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
selectAllselectall

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.